Open Lighting Architecture: ola::plugin::usbpro::ArduinoWidgetImpl Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::usbpro::ArduinoWidgetImpl Class Reference
Inheritance diagram for ola::plugin::usbpro::ArduinoWidgetImpl:

## Public Member Functions
| ArduinoWidgetImpl (ola::io::ConnectedDescriptor *descriptor, uint16_t esta_id, uint32_t serial)
| ~ArduinoWidgetImpl ()
void | Stop ()
void | SendRDMRequest (ola::rdm::RDMRequest *request, ola::rdm::RDMCallback *on_complete)
void | RunFullDiscovery (ola::rdm::RDMDiscoveryCallback *callback)
| Start a full discovery operation.
void | RunIncrementalDiscovery (ola::rdm::RDMDiscoveryCallback *callback)
| Start an incremental discovery operation.
Public Member Functions inherited from ola::plugin::usbpro::BaseUsbProWidget
| BaseUsbProWidget (ola::io::ConnectedDescriptor *descriptor)
ola::io::ConnectedDescriptor * | GetDescriptor () const
void | DescriptorReady ()
virtual bool | SendDMX (const DmxBuffer &buffer)
bool | SendMessage (uint8_t label, const uint8_t *data, unsigned int length) const

## Additional Inherited Members
Static Public Member Functions inherited from ola::plugin::usbpro::BaseUsbProWidget
static ola::io::ConnectedDescriptor * | OpenDevice (const std::string &path)
Static Public Attributes inherited from ola::plugin::usbpro::BaseUsbProWidget
static const uint8_t | DEVICE_LABEL = 78
static const uint8_t | DMX_LABEL = 6
static const uint8_t | GET_PARAMS = 3
static const uint8_t | HARDWARE_VERSION_LABEL = 14
static const uint8_t | MANUFACTURER_LABEL = 77
static const uint8_t | SERIAL_LABEL = 10

## Constructor & Destructor Documentation

## ◆ ~ArduinoWidgetImpl()

ola::plugin::usbpro::ArduinoWidgetImpl::~ArduinoWidgetImpl | ( |  | ) |

Clean up

## Member Function Documentation

## ◆ RunFullDiscovery()

void ola::plugin::usbpro::ArduinoWidgetImpl::RunFullDiscovery | ( | ola::rdm::RDMDiscoveryCallback * | callback | ) |
| inlinevirtual

Start a full discovery operation.

Parameters

  callback | The callback run when discovery completes. This may run immediately in some implementations.

Implements ola::rdm::DiscoverableRDMControllerInterface.

## ◆ RunIncrementalDiscovery()

void ola::plugin::usbpro::ArduinoWidgetImpl::RunIncrementalDiscovery | ( | ola::rdm::RDMDiscoveryCallback * | callback | ) |
| inlinevirtual

Start an incremental discovery operation.

Parameters

  callback | The callback run when discovery completes. This may run immediately in some implementations.

Implements ola::rdm::DiscoverableRDMControllerInterface.

## ◆ SendRDMRequest()

void ola::plugin::usbpro::ArduinoWidgetImpl::SendRDMRequest | ( | ola::rdm::RDMRequest * | request,
|  | ola::rdm::RDMCallback * | on_complete )
| virtual

Handle an RDM request by passing it through to the Arduino

Implements ola::rdm::RDMControllerInterface.

## ◆ Stop()

void ola::plugin::usbpro::ArduinoWidgetImpl::Stop | ( |  | ) |
| virtual

Stop the widget

Implements ola::plugin::usbpro::SerialWidgetInterface.

The documentation for this class was generated from the following files:

- plugins/usbpro/ArduinoWidget.h
- plugins/usbpro/ArduinoWidget.cpp